---
Created: 2023-08-09 Wed
Updated: 2023-08-09 16:06 Wed
tags: Meetings
---

## Goal 目标

- **任务的目标, 需要达成的结果**
  - **期望的目标**
    - 提高顾问的效率
      - 流程优化
        - 现状
          1. 收到询单, 三个阶段
             1. 引导需求; 初步报价×2;
          2. 报价变更
          3. 成行
          4. 发计划到地接
          5. 确认行程
          6. *走团: 顾问跟进*: 入境问候; 主动问候; IM WhatsApp; ......
          7. *老客户: 维护*
        - 存在问题
          - 准确性太低
            - 客人自选, 顾问安排经典线路
              - 客人描述需求
                - 模糊
                - 略知一二
                - 明确需求
                1. **获知需求**, (对比报价),
                   1. 沟通话术, 主动挖掘
                   2. 如何提问, 经验
                   3. 情绪上的共情, 不刻意的拉近距离
                   4. 八卦式的挖掘: 社媒
                2. ~~当地时事没有及时知道~~
                   1. 交通, 天气
                   2. 景点状态: 人流, 开闭, 售票, 政策法规
                3. 地接细节不清晰: 从过往订单中是否出现方案
                   - *输出方案*: 如何评估:
                     - 判断客观信息:
                     - 列表式输出, 历史信息详情
          - 培训成本高, 时间长
            - 信息共享问题, 目的地多
              - 资料归纳总结, 过往资源
                - *客户画像*: 语种, 国籍
            - 业务特有逻辑
              - 行程设计: 输出策略
              - 维度的权重
  - 具体的指标. 衡量的工具和标准是什么
  - 需要交付的对象, 是否有特别要求
  - 结果的时间节点

## Resource 资源

- 需要哪些资源? 现在有哪些资源
  - 人: 需要谁支持? 谁参与?
	  - 黄琦 
  - 财: 是否需要预算? 多少预算?
  - 物: 需要哪些物资?
  - 信: 需要哪些信息? 哪些信息需要重新梳理?

## Excution 计划

- 具体计划是什么? 关键步骤是什么?
  - 具体计划
  - 执行顺序
  - 其中的难点
  - 其中的关键点
  - 针对难点和关键点, 有什么想法

## Exception 风险

- 如何应对可能的风险
  - 以上的计划步骤中, 有哪几个可能会出现风险或意外?
  - 面对风险或意外, 应对的计划是什么?

## Next-Step 下一步

- 打算怎么开始下一步行动
  - 接下来开始的第一步是什么
  - 什么时间开始

## Test 考核

- 如何进行阶段性的确认和呈现
  - 有几个阶段的结果
  - 分别是什么
  - 每个阶段的结果的呈现时间是什么时候
