---
Created: 2024-05-31 Fri
Updated: 2024-07-10 17:17 Wed
---

计划上线: 2024.08.01

需求: 2024.06.10

#### 我的任务安排

1. [x] 用户界面国际化: 默认使用浏览器语言、用户可更换语言 📅 2024-06-07 ✅ 2024-06-01
2. [x] 客服组搜索供应商产品 ✅ 2024-06-21
3. [-] 客服组/产品组审核描述
4. [x] 客服组审核价格内容 ✅ 2024-06-21
5. 给产品添加附加项目
   1. ["] 读取已绑定: 需要`adult_cost`
   2. [x] 如何显示价格表: ✅ 2024-07-10

> 不显示, 仅类型, 名称

6. [x] 通知客服产品变更，变更字段使用红色显示，审核通过后恢复 ✅ 2024-08-19
7. 生成价格合同.DOCX
	1. [-] @杨婷: 库 DOCX, 数据结构, 📅 2024-09-10
	2. [ ] `景点`绑定项目: 多组日期价格显示
	3. [ ] `导游`旺季多组日期
	4. [ ] `车费`多组人等配置
8. [x] 审核页面权限, 跳转 ✅ 2024-07-10
9. [x] 复制产品价格操作 ✅ 2024-07-10
	1. [x] 供应商页面 ✅ 2024-07-10
10. [x] 审核页面切换年份; 切换供应商 ✅ 2024-07-15
11. 编辑页面
	1. [x] 获取数据 ✅ 2024-08-09
	2. [x] 头部操作 ✅ 2024-08-09
	3. [x] 产品列表 ✅ 2024-08-09
	4. [x] 信息编辑 ✅ 2024-08-09
	5. [-] 价格修改
	6. [ ] 绑定项目

---

```mermaid
---
title: GHHub 开发管理 - 机票和价格管理
---
gitGraph TB:
   commit
   commit
   branch release
   branch feature/i18n
   checkout main
   commit id: "release" tag: "1.0.5.31"
   branch bug/x1
   commit id: "fix(...): ..."
   checkout feature/i18n
   commit
   commit
   checkout main
   merge feature/i18n id: "机票开始"
   branch feature/price_manager
   checkout main
   commit
   commit
   commit id: "账户体系"
   checkout feature/price_manager
   commit
   commit
   commit
   checkout main
   merge feature/price_manager id: "合并价格" type:HIGHLIGHT
   commit
   commit
   commit tag: "1.1.0" id: "完成机票"
   commit
   commit
   commit id: "pre-release" tag: "pre-release" type:HIGHLIGHT
   commit

```
