---
Created: 2023-11-03 Fri
Updated: 2023-11-03 16:46 Fri
tags:
  - 项目总结
---

%%
%%

## 项目目标和成果

项目在1.0版本的基础上，增强可视化，通过图表输出复杂的数据信息，更清晰、直观地体现数据的趋势、联系和逻辑。使管理岗位能迅速了解和跟踪业务情况。\
2023年10月18日第一次发版上线并正式使用，反馈良好。达到项目目标。\
10月下合并商务数据，使数据更全面。并持续根据需求优化，更符合需求方的操作习惯和数据思路。  

## 项目过程和管理

工作内容和负责人

| 工作内容   | 人员          |
| ------ | ----------- |
| 需求调研   | 尹诚诚、雷元廷     |
| 综合数据看板 | 秦乾胜、雷元廷     |
| 销售业绩跟踪 | 尹诚诚、秦乾胜、雷元廷 |
| 销售统计分析 | 秦乾胜、雷元廷     |
| 目标配置   | 秦乾胜、雷元廷     |

### 优点：

本次2.0升级开发沿用了1.0的技术框架和协作流程，前后端开发协作非常顺利，沟通过程都在接口管理工具上，清晰明确。
和需求方的沟通也很顺畅，确定了核心功能后并尽可能站在用户角度看问题，在系统交互上尽可能简单易用，风格统一，没有歧义。

### 不足：

更细粒度的图表分析未达预期

## 技术实施和挑战

技术实施上沿用了成熟的后端delphi和框架react，在系统维护上做到了统一，降低了维护成本和学习成本
前端开发：

1. 增加了编码规范，在多人协作时代码标准化，遵循行业推荐的规范，自动发现和修正JavaScript代码中的问题，降低维护成本。
2. 使用`npm version`管理版本号，遵循semver规范。

## 改进和优化

### 需要改进：

目前的输出是从技术方面的主观和经验确定的方案，希望和需求方在操作习惯、实际业务逻辑、数据思维等方面有更深入的交流。

### 需要优化：

细化权限管理；加强数据的对比联系；数据入口需要更灵活等。
