---
Created: 2024-12-05 Thu
Updated: 2024-12-05 16:44 Thu
---

## Goal 目标

- 任务的目标, 需要达成的结果
  - 期望的目标
    - 行程设计;  Ada
      1. 心愿单
         ![left|200](WanderX/atta/Pasted%20image%2020241205135524.png)
         1. Check list: Stay organized with a packing list, to-do list, shopping list, any kind of list
      2. 协作: 打开`实时协作`或者`编辑保存`模式
         1. 邀请加入
         2. 加入协作. 客人列表的名字; 输入昵称名字(Discord)
         3. 分享阅览
         4. 收藏他人行程中的`点`, 最小单位?
      3. 在线的会话, 简短的沟通;
         1. 自建, 不依赖任何第三方资源 `Talk Now`
         2. 选择第三方,
            1. 主动WhatsApp `WhatsApp Here`
      4. 导入其他预订: 机票, 火车票
      5. 行程展示;
         1. 根据后端系统生成的行程表
            1. 按城市, 想法规划阶段
            2. 按日期, 走团顺序;
         2. 增:
            1. 从OTA引入: `酒店` `车服务` `景点` `体验项目` `餐厅`
            2. 从后端开放接口
         3. 删除
         4. 修改顺序, 时间
         5. 总预算估算
      6. 行程设计, 咨询服务:
         1. 收费定制
         2. 评论; 留言, 要求, 意见
         3. 支付定金
      7. 地图标记;
         1. 标记: 拉取摘要(营业信息); 拉取第三方评分; 官网; 第三方评价站; 搜索; AI咨询
         2. 动线缩略图
      8. 版本变更摘要
      9. 公开后仍不可见的内容
         1. 已付费的服务
         2. 提醒Tips类
         3. 导游, 接待信息
      10. 其他类似推荐行程: 授权允许推荐分享
         1. 标签化: 地区; 预算; 团类型; ......
         2. 推荐酒店, 餐......
      11. 分享; 引流推荐: 以此为基础下单
      12. 下单数量,
          1. 推荐奖励
      13. 互动热度: 点赞, 被收藏/引用, 加入心愿
          1. 互动奖励
      14. 提醒: 询问允许
	      1. 交通通知, 航班延误, 天气预报
      15. 直接评价, 反馈表

    - 酒店预订
      1. 喜玩
      2. 其他供应商
      3. 价格浮动提醒;
         > WanderLog: 监控价格浮动, 提醒重新预定

    - 攻略, Travel Guides

    - 会员高级功能:
      - 已下单的自动会员, 只要有支付行为

    - 国际化
      - 社媒, 推广
  - 具体的指标. 衡量的工具和标准是什么
  - 需要交付的对象, 是否有特别要求
  - 结果的时间节点

## Resource 资源

- 需要哪些资源? 现在有哪些资源
  - 人: 需要谁支持? 谁参与?
  - 财: 是否需要预算? 多少预算?
  - 物: 需要哪些物资?
  - 信: 需要哪些信息? 哪些信息需要重新梳理?
- 其他参考
  - WanderLog
    [讨论](https://www.reddit.com/r/selfhosted/comments/1frk9ix/any_selfhosted_wanderlog_alternative/?rdt=49212)
    [Trip to Egypt, Jordan, Cyprus – Wanderlog](https://wanderlog.com/view/stcgsuheok/trip-to-egypt-jordan-cyprus/shared)
    [Japan: Video Game Guide 👾 2024 – Wanderlog](https://wanderlog.com/view/nlcviusycz/japan-video-game-guide--2024)
  - 其他项目
    [GitHub - thekampany/tripproject](https://github.com/thekampany/tripproject)
    [Sam :) Travel assistant](<https://www.meetsam.io/>), App, 口袋中的旅行伴侣
    [TripIt - Highest-rated trip planner and flight tracker](https://www.tripit.com/web)

## Excution 计划

- 具体计划是什么? 关键步骤是什么?
  - 具体计划
  - 执行顺序
  - 其中的难点
  - 其中的关键点
  - 针对难点和关键点, 有什么想法

## Exception 风险

- 如何应对可能的风险
  - 以上的计划步骤中, 有哪几个可能会出现风险或意外?
  - 面对风险或意外, 应对的计划是什么?

## Next-Step 下一步

- 打算怎么开始下一步行动
  - 接下来开始的第一步是什么
  - 什么时间开始

## Test 考核

- 如何进行阶段性的确认和呈现
  - 有几个阶段的结果
  - 分别是什么
  - 每个阶段的结果的呈现时间是什么时候
