偶尔会遇到一些开源项目，不是大而全的框架，也不是爆款库，而是那种小巧却实用的工具，能解决你日常开发中那些烦人的小问题。

这篇我整理了12个开源项目，适合各类开发者：学习中、创业中、产品迭代中。它们不是明星刷屏的噱头，而是真正能用，能落地，能省时的宝藏。

* * *

### 1\. Postiz — 智能社媒管理工具

如果你管理多个社交账号、苦于发帖时间和内容分散，Postiz 绝对能帮你理清头绪。它是个自托管的社媒排程工具，还能用 AI 推荐最佳发帖时间。开源且能跑你自己的服务器，告别第三方限制。

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2momEyHiaFKNAMydpc3Q6wJLSJE5oWqgWuibGckB22ZoSrwC9QqeqDrzic5FQ/640?wx_fmt=png&from=appmsg)

*   Postiz 官网：https://postiz.com
    
*   GitHub：https://github.com/gitroomhq/postiz-app
    

* * *

### 2\. Tolgee — 轻松搞定国际化

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2momsyj7a34eJ2vicBN5CibIaMZVGBBscH0E9ibmGUMo7eoAv6ibb06yGhCSXg/640?wx_fmt=png&from=appmsg)

软件国际化从没这么简单过。Tolgee 支持在应用内直接翻译文本，集成 React、Angular，自动截屏给译者上下文。告别翻译文件夹的地狱。

*   Tolgee： 官网\](https://tolgee.io
    
*   GitHub： https://github.com/tolgee/tolgee-platform
    

* * *

### 3\. MedusaJS — 自定义电商引擎

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2momgD7bPJHjgHVibpAQhSbQJ4a7G86UKz3SfCHzBPkLcSF9wAv3kJZ7mLQ/640?wx_fmt=png&from=appmsg)

想要跳出 Shopify 的框架限制？MedusaJS 给你一套 Node.js 的模块化电商平台，自由扩展产品管理、支付、物流。适合定制需求强烈的开发者。

*   MedusaJS 官网:https://medusajs.com
    
*   GitHub:https://github.com/medusajs/medusa
    

* * *

### 4\. Formbricks — 无服务器的表单后台

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2momPjWexOWmTVicI8ydyoxeezSdl9YzAkJiaHRaJsvEb7eQhUf5ibClUffhA/640?wx_fmt=png&from=appmsg)

每次搞个表单都得自己写后端？Formbricks 让你直接连前端用，实时收集数据、安全存储，还有自定义流程，轻松搞定反馈和调查。

*   Formbricks 官网: https://formbricks.com)
    
*   GitHub: https://github.com/formbricks/formbricks
    

* * *

### 5\. Hanko — 无密码认证新时代

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2mom4iaWanEC4VASRUpVxbxK5TJNNmkwtO20bqbZLf9GeTT4BveZhIaGPgA/640?wx_fmt=png&from=appmsg)

密码越来越不安全了？Hanko 用 WebAuthn 支持指纹、面部、密钥登录，开箱即用的 SDK 简化无密码体验。

*   Hanko 官网: https://hanko.io
    
*   GitHub: https://github.com/teamhanko/hanko
    

* * *

### 6\. ToolJet — 低代码内部工具构建

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2momibl5qbGBLOIWGxy1PAAWh9XZtI38flD7NeGaPvMUVfKUvCqjHVtS4tQ/640?wx_fmt=png&from=appmsg)

不想重复造轮子做管理后台？ToolJet 提供拖拽组件，连接数据库和 API，低代码快速搭建仪表盘、客服工具，极大省时。

*   ToolJet 官网: https://tooljet.ai
    
*   GitHub: https://github.com/ToolJet/ToolJet
    

* * *

### 7\. Novu — 统一多渠道通知系统

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2mom5X6BrticiaseicbDo3QDS4zH7KLqnFIEROuibK3FNINe9R8PaU3E4khyUw/640?wx_fmt=png&from=appmsg)

邮件、短信、推送、聊天通知难管理？Novu 给你一套统一 API 和模板，能监控投递状态和用户互动，特别适合 SaaS 及用户通信密集型产品。

*   Novu 官网: https://novu.co
    
*   GitHub: https://github.com/novuhq/novu
    

* * *

### 8\. Flipt — 自托管的功能开关管理

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2mom40GVTaLU8UyNgNtB8aRgaSWiaicXnM8jH9YdpL1EuEa2IfDnvFfaOfxw/640?wx_fmt=png&from=appmsg)

上线新功能不想影响所有用户？Flipt 让你灵活控制 feature flags，支持按用户组、环境和规则启停。持续交付和 A/B 测试利器。

*   Flipt 官网: https://flipt.io
    
*   GitHub: https://github.com/flipt-io/flipt
    

* * *

### 9\. PostHog — 自建产品分析平台

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2momolmVkibZoHoHOFd3oRCQgWpEx7ZCF6maicXowAN1ODBdibp0MQQGbGMnw/640?wx_fmt=png&from=appmsg)

想要自己掌控用户数据？PostHog 是个自托管的全功能分析套件，包含事件跟踪、回放、漏斗分析和功能开关，避免把数据托付第三方。

*   PostHog 官网: https://posthog.com
    
*   GitHub: https://github.com/posthog/posthog
    

* * *

### 10\. Dub — 极简开发者专属短链接

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2momichUGxPmUyaWEOrxgHo12O6eOTAPbnO8neOiatHT1vgUrpcB60XEKFlg/640?wx_fmt=png&from=appmsg)

不想用第三方短链服务？Dub 用 Next.js + Tailwind 打造的开源短链接平台，自托管还能自定义品牌，支持 API 自动生成。

*   Dub 官网: https://dub.co
    
*   GitHub: https://github.com/dubinc/dub
    

* * *

### 11\. AppFlowy — 隐私优先的 Notion 替代品

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2mom87gKy47SJg3gicSF57RhMpwCIdaeRGDlHibWbdyY1lnMNN8gUg3lRwiaA/640?wx_fmt=png&from=appmsg)

想要本地数据存储和高度定制？AppFlowy 是可扩展的开源笔记和任务管理工具，适合个人知识库和团队 Wiki。

*   AppFlowy 官网: https://appflowy.com)
    
*   GitHub: https://github.com/AppFlowy-IO/AppFlowy
    

* * *

### 12\. Jitsi — 安全无忧的视频会议解决方案

![](https://mmbiz.qpic.cn/mmbiz_png/LDPLltmNy552nF6JYbbdyEStPhNF2mombJT07NMXYp6RkTxsmTmWuTBgpic2osYjhAAjFnpRibbN8HOjomSlcuGg/640?wx_fmt=png&from=appmsg)

需要自己搭建视频会议？Jitsi 不用账号，支持端到端加密，适合远程会议、教学和社区活动，是 Zoom 和 Meet 的开源替代。

*   Jitsi 官网\](https://jitsi.org
    
*   GitHub: https://github.com/jitsi/jitsi-meet
    

* * *

这些项目不是“刷星”用的，他们解决真实问题，让你更快更稳地开发。它们都开源，欢迎贡献，也可以直接用到你的产品里。