---
Created: 2024-09-27 Fri
Updated: 2024-10-08 17:07 Tue
---

## 中美宏观经济环境和地缘政治

(没有太多新消息, 主要是截至2023年11月底的信息)

1. 中美关系仍然复杂敏感, 但无论谁当选美国下任总统, 都会重视中美经贸关系
2. 中美都期待可靠且高质量的供应链
3. 合作伙伴关系主力开发新市场并建立公信力

## 中国业务策略 @PayPal中国CEO

为什么开这个会议

1. 产品内容分享
2. 分享过去几年的尝试和观察到的趋势

难点

1. 中美关系地缘政治的不确定性
2. 危机中国
   1. 内部数据: 过去一年, PayPal中国业务实现2位数的增长
3. 每年都有新的挑战, 寻找确定性的帮助

最新的观察

1. 多市场
   1. 目标市场: 美国依旧是最大市场
   2. 更多多样性: 中东, 拉丁美洲
   3. 市场扩张迅速. 中国商户开始辐射全球
2. 多渠道
   3. 独立站, 平台
3. 产品多样性, 除了货物, 游戏, 短剧等, 新兴垂类
   1. [I] 提前布局, 针对客群的渠道
4. 新的业务模式发展,过去20年的漫长过程: 批发> 零售> 品牌. , 如今快速发展
5. 设计, 创新性的升级, 质量好, 价格好, 有创新好

中国的商户过去20年, 持续2位数增长, 相信会持续, 更会加快

如何实现, 后续PayPal,

1. 商业赋能: 后端支持,系统支持.
   1. 快速了解目标市场的特征, 文化
   2. 快速了解当地的监管和政策, 保证业务的健康和可持续
   3. 系统预设
   4. PayPal全球支持团队
2. 产品赋能
   1. 本地化支付, 快速
3. 生态赋能
   1. 获客成本越来越高
   2. PayPal的客户资源覆盖, 4亿+
   3. 针对各市场为商户争取优惠政策

总结

1. 挑战很多, 相信能继续增长
2. PayPal将持续提供支持
3. 共同努力; 再创辉煌

## 全球洞察

利好:

1. 降息
   1. 全球货币政策进入宽松期

2. 国内进一步开发资本市场
   1. 降准, 还可能继续再降
   2. 居民贷款利率下降, 房地产资产缩水, 间接

3. 央行 增加流动性
   1. 可能超过当年4万亿的放水

4. 电商渗透率低的国家市场将会迅速增长

> 补充电商渗透率数据图表

## 圆桌分享

1. ???
2. 提升服务质量
3. 提高客户满意度
4. 提升产品力
5. 品牌化
   1. 精细化运营

> 这些我们都有在做! 

## 风控

> PayPal Case数据, 风控管理优化, @陆燕

## 收获, 总结

1. 信息查询系统
2. 收款渠道: 跟紧PayPal, 利用PayPal的生态
3. PayPal: 平台合作, 不仅是收款渠道. 新开拓市场的数据资源支持
4. PayPal背书: 提升客户信任度
5. 每年都有挑战, 危机和机会
6. +广告平台尝试
7. 信息同步; 了解导我们公司目前使用PayPal产品的情况.
   1. 在收款产品上, 我们处于较早且积极的尝试
   2. 风控方面以往关注不多
8. 旅游行业的同行都没来, 可能的原因:
   1. 业务规模门槛. 仅限指在PayPal数据上的业务规模. (同行的收款渠道扩展?)
   2. 本次会议关于服务业, 独立站的内容不多
