---
Created: 2024-01-11 Thu
Updated: 2024-01-11 15:53 Thu
---

## WebSocket 服务

<ws://202.103.68.144:8888/whatever/>

### 接口类型

### 初始连接

在请求任何方法调用和订阅之前，必须发送连接消息。此连接消息是建立连接和准备后续请求的初始步骤。

```json
{
    "action": "connect",
    "version": "1",
}
```

### 保持连接

服务器定期(30s)发送“ `ping` ”消息，并且必须15s内以“ `pong` ”消息进行响应以维持连接。如果未能做出适当的响应，将导致服务器关闭连接。

```json
{
    "msg": "pong"
}
```
