---
Created: 2025-03-18 Tue
---

系统从客人预定表单中提取信息，并直接与AI助手进行交互，不需要顾问介入：

```mermaid
sequenceDiagram
    participant Guest
    participant System
    participant AIAssistant

    Guest->>System: 提交预定表单信息
    System->>System: 自动提取信息
    System->>AIAssistant: 发送客人信息
    AIAssistant->>System: 返回 session id
    System->>Guest: 返回 session id
    System->>Guest: 问候客人
    Guest->>System: 发送消息
    System->>AIAssistant: 处理会话
    AIAssistant->>System: 返回回复
    System->>Guest: 返回回复
    loop 多轮对话
        Guest->>System: 发送消息
        System->>AIAssistant: 处理会话
        AIAssistant->>System: 返回回复
        System->>Guest: 返回回复
    end
```
